/*
 *  Eukleides version 1.5.4
 *  Copyright (c) Christian Obrecht 2004-2010
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern int output;

void open_read_mode(_param p);

void open_write_mode(_param p);

void open_append_mode(_param p);

void close_data_file(_param p);

void close_result_file(_param p);

void print_num(_param p);

void print_pnt(_param p);

void print_set(_param p);

void print_str(_param p);

void print_nl(_param p);

void input_num(_param p);

void input_str(_param p);
